Subject: bug#11668: abort() called on startup with 24.1 release; OSX 10.6

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Jun 2012 23:02:16 +0300

> From: Paul Nathan <[email-masked]>
> Date: Sun, 10 Jun 2012 09:11:17 -0700
> 
> I downloaded the 24.1 source and compiled with configure --with-ns. Upon running it from the nextstep directory, emacs crashed, immediately, kicking up a Crash Report dialog. I copied it to /Applications as Emacs24.app and retried; again, a crash.  I have included the stack trace below.

This is a duplicate of bug #11634.  The reason for the abort is that
your Emacs installation is misconfigured so that Emacs uses Lisp files
other than those that came with the 24.1 distribution.  Look at the
various switches and environment variables that affect load-path, and
see which one(s) need to be fixed.  Your site-lisp in particular could
be the source of the trouble.